Subject: Re: [PATCH net-next] af_mpls: fix undefined reference to ip6_route_output

From: roopa <[email-masked]>
Date: Thu, 23 Jul 2015 06:44:13 -0700

On 7/23/15, 12:09 AM, David Miller wrote:
> From: roopa <[email-masked]>
> Date: Wed, 22 Jul 2015 13:38:31 -0700
>
>> I cant think of a way to fix the current problem with my patch...
> I guess it's not obvious that adding CONFIG_MPLS_IPV6 would solve
> the problem perfectly.
I  thought that was not an option because CONFIG_MPLS_ROUTING is already 
out and supports IPV6 when RTA_OIF is
specified.

I did submit another version yesterday using IS_BUILTIN (sorry missed 
the v2 in the patch prefix).
https://patchwork.ozlabs.org/patch/498903/

I can certainly introduce CONFIG_MPLS_IPV6, if that is a more acceptable.

thanks.